﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Shared;

namespace TileViewSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : ChromelessWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            foreach (TileViewItem item in Tileview.Items)
            {
                item.StateChanging += new TileViewItem.TileViewCancelEventHandler(item_StateChanging);
            }
        }

        void item_StateChanging(object sender, TileViewCancelEventArgs args)
        {
            //Do your validation here 
            if((sender as TileViewItem).Header.ToString()=="Tile3")       
            args.Cancel = true;
        }
       
       
    }
}
